Summary:	PostScript utilities
Name:		psutils
Version:	p17
Release:	%mkrel 10

Source0:	ftp://ftp.dante.de/pub/tex-archive/support/%{name}-%{version}.tar.bz2
Patch0:		psutils-make.patch.bz2
Patch1:		psutils-maketext.patch.bz2

License:	Freeware
Group:		Publishing
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	perl

%description
psutils contains some utilities for manipulating PostScript documents.
Page selections and rearrangement are supported, including arrengement
into signatures for booklet printing, and page merging for n-up printing.

%prep

%setup -q -n psutils
%patch0 -p1
%patch1 -p1

%build
make -f Makefile.unix RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
	BUILDROOT="$RPM_BUILD_ROOT" PERL=%{_bindir}/perl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,share/psutils}
make -f Makefile.unix install BUILDROOT="$RPM_BUILD_ROOT"
strip $RPM_BUILD_ROOT/%_bindir/{epsffit,psbook,psnup,psresize,pstops,psselect}
#move the man page
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc LICENSE README
%attr(755,root,root) %_bindir/*
%dir %_datadir/%{name}
%_mandir/man1/*
%_datadir/%{name}/*


%changelog
* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> p17-10mdv2007.0
+ Revision: 114737
- mkrel



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> p17-9mdk
- Rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> p17-8mdk
- don't bzip2 man pages, rpm will take care of it
- rebuild

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> p17-7mdk
- Use %%_tmppath for BuildRoot
- Use more macros

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> p17-6mdk
- rebuilt with new %%doc and _mandir macro

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> p17-5mdk
- Fix bad tag value.
- Fix ownership.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> p17-4mdk
- Fix group.

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Rebuilt for Oxygen.

* Fri Aug 27 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Ajusted perl path in scripts.

* Fri Aug 13 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
